Justin Gamble wrote in post #1084635:
> What is the reason of doing the .new(...)in
>
>   raise InsufficientFundsError.new (1234, 50, 100)
>
> ?


class MyException < Exception
  def exception
    return ZeroDivisionError.new
  end
end

begin
  raise MyException
rescue MyException => e
  p e
end

begin
  raise MyException.new
rescue ZeroDivisionError => e
  p e
end

--output:--
#<MyException: MyException>
#<ZeroDivisionError: ZeroDivisionError>

-- 
Posted via http://www.ruby-forum.com/.